## libcsfml 3.0.0~rc1

=== test/CMakeLists.txt ===
include(FetchContent)

set(CATCH_CONFIG_FAST_COMPILE ON CACHE BOOL "")
set(CATCH_CONFIG_NO_EXPERIMENTAL_STATIC_ANALYSIS_SUPPORT ON CACHE BOOL "")
FetchContent_Declare(Catch2
    GIT_REPOSITORY https://github.com/catchorg/Catch2.git
    GIT_TAG v3.7.0
    GIT_SHALLOW ON)
FetchContent_MakeAvailable(Catch2)
include(Catch)

# Build Catch2 in C++17 mode to enable C++17 features
target_compile_features(Catch2 PRIVATE cxx_std_17)

# Ensure that Catch2 sources and headers are not analyzed by any tools
set_target_properties(Catch2 PROPERTIES COMPILE_OPTIONS "" EXPORT_COMPILE_COMMANDS OFF)
set_target_properties(Catch2WithMain PROPERTIES EXPORT_COMPILE_COMMANDS OFF)
get_target_property(CATCH2_INCLUDE_DIRS Catch2 INTERFACE_INCLUDE_DIRECTORIES)
target_include_directories(Catch2 SYSTEM INTERFACE ${CATCH2_INCLUDE_DIRS})

set(CMAKE_CATCH_DISCOVER_TESTS_DISCOVERY_MODE PRE_TEST)

add_executable(test-csfml-system
    System/Buffer.test.cpp
    System/Clock.test.cpp
    System/Sleep.test.cpp
    System/Time.test.cpp
    System/Vector2.test.cpp
    System/Vector3.test.cpp
)
target_link_libraries(test-csfml-system PRIVATE csfml-system Catch2::Catch2WithMain)
set_target_warnings(test-csfml-system)
catch_discover_tests(test-csfml-system)

add_executable(test-csfml-window
    Window/Joystick.test.cpp
    Window/Keyboard.test.cpp
    Window/Mouse.test.cpp
    Window/Sensor.test.cpp
    Window/Window.test.cpp
    Window/WindowBase.test.cpp
)
target_link_libraries(test-csfml-window PRIVATE csfml-window Catch2::Catch2WithMain SFML::Window)
set_target_warnings(test-csfml-window)
catch_discover_tests(test-csfml-window)

add_executable(test-csfml-graphics
    Graphics/BlendMode.test.cpp
    Graphics/Color.test.cpp
    Graphics/CoordinateType.test.cpp
    Graphics/PrimitiveType.test.cpp
    Graphics/Rect.test.cpp
    Graphics/RenderStates.test.cpp
    Graphics/Shape.test.cpp
    Graphics/StencilMode.test.cpp
    Graphics/Transform.test.cpp
    Graphics/VertexArray.test.cpp
    Graphics/View.test.cpp
)
target_link_libraries(test-csfml-graphics PRIVATE csfml-graphics Catch2::Catch2WithMain SFML::Graphics)
set_target_warnings(test-csfml-graphics)
catch_discover_tests(test-csfml-graphics)

add_executable(test-csfml-network
    Network/Ftp.test.cpp
    Network/Http.test.cpp
    Network/IpAddress.test.cpp
    Network/SocketStatus.test.cpp
)
target_link_libraries(test-csfml-network PRIVATE csfml-network Catch2::Catch2WithMain SFML::Network)
set_target_warnings(test-csfml-network)
catch_discover_tests(test-csfml-network)

add_executable(test-csfml-audio
    Audio/SoundChannel.test.cpp
)
target_link_libraries(test-csfml-audio PRIVATE csfml-audio Catch2::Catch2WithMain SFML::Audio)
set_target_warnings(test-csfml-audio)
catch_discover_tests(test-csfml-audio)

# Copy DLLs into the same directory
if(SFML_OS_WINDOWS AND NOT CSFML_LINK_SFML_STATICALLY)
    foreach(SFML_TARGET SFML::System SFML::Window SFML::Graphics SFML::Audio SFML::Network)
        add_custom_command(
            TARGET test-csfml-system PRE_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:${SFML_TARGET}> $<TARGET_FILE_DIR:test-csfml-system> COMMAND_EXPAND_LISTS
        )
    endforeach()
endif()

=== debian/changelog ===
libcsfml (3.0.0~rc1-2) experimental; urgency=medium

  * Re-upload after previous version was rejected.

 -- James Cowgill <jcowgill@debian.org>  Sun, 16 Feb 2025 15:57:27 +0000

libcsfml (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Change library package suffix to 3.0

  * d/copyright: Updates for 3.0
  * d/*.symbols: Update symbols for 3.0
  * d/rules:
    - Build examples as a simple test.
    - Only build the documentation in build-indep builds.
    - Run testsuite at build time.
  * d/patches:
    * Use find_package to find Catch2
    * Avoid doing a real name resolution in sfIpAddress_fromString test.
  * d/tests:
    - Rename existing test to smoke-test.
    - Update smoke test to work with csfml 3.0.
    - Mark smoke-build as superficial.
    - Add upstream-tests test.
  * d/watch: Update watch to work with -rc versions.

 -- James Cowgill <jcowgill@debian.org>  Sun, 16 Feb 2025 15:07:26 +0000

=== debian/control ===
Source: libcsfml
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libcatch2-dev (>= 3.7),
 libsfml-dev (>= 3.0)
Build-Depends-Indep: doxygen
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.sfml-dev.org
Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
Vcs-Browser: https://salsa.debian.org/games-team/libcsfml

Package: libcsfml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcsfml-audio3.0 (= ${binary:Version}),
 libcsfml-graphics3.0 (= ${binary:Version}),
 libcsfml-network3.0 (= ${binary:Version}),
 libcsfml-system3.0 (= ${binary:Version}),
 libcsfml-window3.0 (= ${binary:Version}),
 libgl-dev,
 libglu-dev,
 libsfml-dev (>= 3.0),
 ${misc:Depends}
Suggests: libcsfml-doc
Description: Libraries for the C Binding of SFML - Development Files
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package provides the development files for the C Binding

Package: libcsfml-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Libraries for the C Binding of SFML - Documentation
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package includes documentation for all CSFML libraries.

Package: libcsfml-audio3.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Audio Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Audio library is used to play sound and music in games. It is able to
 load OGG/Vorbis files.

Package: libcsfml-graphics3.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Graphics Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Graphics library contains all the OpenGL and drawing code. It needs the
 Window library for Window creation.

Package: libcsfml-system3.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - System Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The system library brings useful system utilities like multithreading and
 UNICODE handling

Package: libcsfml-network3.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Network Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Network Library brings basic networking support as needed by games.

Package: libcsfml-window3.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Window Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Window library provides basic utilities for creating and managing Windows

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DCSFML_BUILD_DOC=$(if $(findstring libcsfml-doc,$(shell dh_listpackages)),ON,OFF) \
		-DCSFML_BUILD_EXAMPLES=ON \
		-DCSFML_BUILD_TEST_SUITE=ON

execute_after_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_test-indep:

## libcsfml 3.0.0~rc2

=== debian/changelog ===
libcsfml (3.0.0~rc2-2) unstable; urgency=medium

  * Upload to unstable.

 -- James Cowgill <jcowgill@debian.org>  Wed, 03 Sep 2025 19:18:46 +0100

libcsfml (3.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

  * d/copyright: Add SFML logo.
  * d/*.symbols: Add new symbols in 3.0-rc2.
  * d/rules: Use -fexcess-precision=standard on i386 to fix test failures.

 -- James Cowgill <jcowgill@debian.org>  Sat, 30 Aug 2025 21:12:02 +0100

## libcsfml 3.0.0~rc3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)

# define a macro that helps defining an option
macro(csfml_set_option var default type docstring)
    if(NOT DEFINED ${var})
        set(${var} ${default})
    endif()
    set(${var} ${${var}} CACHE ${type} ${docstring} FORCE)
endmacro()

# set a default build type if none was provided
# this has to be done before the project() instruction!
csfml_set_option(CMAKE_BUILD_TYPE Release STRING "Choose the type of build (Debug or Release)")

# project name
project(CSFML VERSION 3.0.0)

# we use the paths from the cmake GNUInstallDirs module as defaults
# you can override these if you like
# https://cmake.org/cmake/help/latest/module/GNUInstallDirs.html
include(GNUInstallDirs)

# include the configuration file
include(${PROJECT_SOURCE_DIR}/cmake/Config.cmake)

# add options to select which modules to build
csfml_set_option(CSFML_BUILD_WINDOW ON BOOL "ON to build CSFML's Window module. This setting is ignored, if the graphics module is built.")
csfml_set_option(CSFML_BUILD_GRAPHICS ON BOOL "ON to build CSFML's Graphics module.")
csfml_set_option(CSFML_BUILD_AUDIO ON BOOL "ON to build CSFML's Audio module.")
csfml_set_option(CSFML_BUILD_NETWORK ON BOOL "ON to build CSFML's Network module.")

# add an option for choosing the build type (shared or static)
csfml_set_option(BUILD_SHARED_LIBS ON BOOL "ON to build CSFML as shared libraries, OFF to build it as static libraries")

# add an option for building the API documentation
csfml_set_option(CSFML_BUILD_DOC OFF BOOL "ON to generate the API documentation, OFF to ignore it")

# add an option for linking to sfml either statically or dynamically
# default on windows to static and on other platforms to dynamic
if(SFML_OS_WINDOWS)
    set(LINK_STATICALLY_DEFAULT ON)
else()
    set(LINK_STATICALLY_DEFAULT OFF)
endif()
csfml_set_option(CSFML_LINK_SFML_STATICALLY ${LINK_STATICALLY_DEFAULT} BOOL "ON to link to a static version of SFML, OFF to link dynamically")

# define an option for choosing between static and dynamic C runtime (Windows only)
if(SFML_OS_WINDOWS)
    csfml_set_option(CSFML_USE_STATIC_STD_LIBS OFF BOOL "ON to statically link to the standard libraries, OFF to use them as DLLs")
endif()

# find SFML libraries (C++)
if(CSFML_LINK_SFML_STATICALLY)
    set(SFML_STATIC_LIBRARIES ON)
endif()
set(SFML_MODULES "System")
if(CSFML_BUILD_AUDIO)
    list(PREPEND SFML_MODULES "Audio")
endif()
if(CSFML_BUILD_GRAPHICS)
    list(PREPEND SFML_MODULES "Graphics")
endif()
if(CSFML_BUILD_WINDOW)
    list(PREPEND SFML_MODULES "Window")
endif()
if(CSFML_BUILD_NETWORK)
    list(PREPEND SFML_MODULES "Network")
endif()
find_package(SFML 3.0.0 COMPONENTS ${SFML_MODULES} REQUIRED)

# add the subdirectories
add_subdirectory(src/CSFML)
if(CSFML_BUILD_DOC)
    add_subdirectory(doc)
endif()

# on Linux and BSD-like OS, install pkg-config files by default
set(CSFML_INSTALL_PKGCONFIG_DEFAULT OFF)

if(SFML_OS_LINUX OR SFML_OS_FREEBSD OR SFML_OS_OPENBSD OR SFML_OS_NETBSD)
    set(CSFML_INSTALL_PKGCONFIG_DEFAULT ON)
endif()

csfml_set_option(CSFML_INSTALL_PKGCONFIG_FILES ${CSFML_INSTALL_PKGCONFIG_DEFAULT} BOOL "ON to automatically install pkg-config files so other projects can find SFML")

if(CSFML_INSTALL_PKGCONFIG_FILES)
    csfml_set_option(CSFML_PKGCONFIG_INSTALL_DIR "${CSFML_PKGCONFIG_DIR}" PATH "Install directory for CSFML's pkg-config .pc files")

    foreach(csfml_module IN ITEMS all system window graphics audio network)
        configure_file(
            "tools/pkg-config/csfml-${csfml_module}.pc.in"
            "tools/pkg-config/csfml-${csfml_module}.pc"
            @ONLY)
        install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tools/pkg-config/csfml-${csfml_module}.pc"
            DESTINATION "${CSFML_PKGCONFIG_INSTALL_DIR}")
    endforeach()
endif()

# setup the install rules
install(DIRECTORY include/
        DESTINATION include
        COMPONENT devel)
install(FILES license.md DESTINATION ${INSTALL_MISC_DIR})
install(FILES readme.md DESTINATION ${INSTALL_MISC_DIR})

# stop configuration if consuming CSFML as a subdirectory
if(NOT PROJECT_IS_TOP_LEVEL)
    return()
endif()

# add an option for building the examples
csfml_set_option(CSFML_BUILD_EXAMPLES OFF BOOL "ON to build the CSFML examples, OFF to ignore them")
if(CSFML_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

# add an option for building the tests
csfml_set_option(CSFML_BUILD_TEST_SUITE OFF BOOL "ON to build the CSFML test suite, OFF to ignore it")
if(CSFML_BUILD_TEST_SUITE)
    enable_testing()
    add_subdirectory(test)
endif()

csfml_set_option(CLANG_FORMAT_EXECUTABLE clang-format STRING "Override clang-format executable, requires version 17")
add_custom_target(format
    COMMAND ${CMAKE_COMMAND} -DCLANG_FORMAT_EXECUTABLE=${CLANG_FORMAT_EXECUTABLE} -P ./cmake/Format.cmake
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} VERBATIM)

csfml_set_option(CLANG_TIDY_EXECUTABLE clang-tidy STRING "Override clang-tidy executable, requires minimum version 14")
add_custom_target(tidy
    COMMAND ${CMAKE_COMMAND} -DCLANG_TIDY_EXECUTABLE=${CLANG_TIDY_EXECUTABLE} -DPROJECT_BINARY_DIR=${PROJECT_BINARY_DIR} -P ./cmake/Tidy.cmake
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} VERBATIM)

=== doc/CMakeLists.txt ===
# find doxygen
find_package(Doxygen REQUIRED)

# see if we can generate the CHM documentation
set(DOXYGEN_HHC_PROGRAM)
set(DOXYGEN_GENERATE_HTMLHELP NO)
if(SFML_OS_WINDOWS)
    # if HHC is found, we can generate the CHM (compressed HTML) output
    find_program(DOXYGEN_HHC_PROGRAM
                 NAMES hhc.exe
                 PATHS "C:/Program Files/HTML Help Workshop" "C:/Program Files (x86)/HTML Help Workshop"
                 DOC "HTML Help Compiler program")
    if(DOXYGEN_HHC_PROGRAM)
        if(DOXYGEN_VERSION VERSION_LESS "1.10.0")
            set(DOXYGEN_GENERATE_HTMLHELP YES)
        else()
            message("Due to conflicts with the HTML output settings in Doxygen ${DOXYGEN_VERSION}, the HTML Help generation will be disabled")
        endif()
    endif()
endif()

# configure the source Doxyfile by copying it and replacing all @variables@
configure_file(doxyfile.in doxyfile @ONLY)
configure_file(header.html.in header.html @ONLY)

# copy the files needed by the documentation
configure_file(doxygen.css html/doxygen.css COPYONLY)
configure_file(searchOverrides.css html/searchOverrides.css COPYONLY)

# target setup
add_custom_target(doc ALL
                  COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
                  COMMAND Doxygen::doxygen ${CMAKE_CURRENT_BINARY_DIR}/doxyfile
                  COMMAND ${CMAKE_COMMAND} -E echo "Done."
                  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})

# setup install rules
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
        DESTINATION ${INSTALL_MISC_DIR}/doc
        COMPONENT doc)
if(DOXYGEN_GENERATE_HTMLHELP)
    install(FILES ${DOXYGEN_OUTPUT_DIR}/CSFML.chm
            DESTINATION ${INSTALL_MISC_DIR}/doc
            COMPONENT doc)
endif()

=== examples/CMakeLists.txt ===
add_executable(example example.c)
target_link_libraries(example PRIVATE csfml-graphics csfml-audio)
set_target_warnings(example)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,7 @@
     Graphics/BlendMode.test.cpp
     Graphics/Color.test.cpp
     Graphics/CoordinateType.test.cpp
+    Graphics/Image.test.cpp
     Graphics/PrimitiveType.test.cpp
     Graphics/Rect.test.cpp
     Graphics/RenderStates.test.cpp
@@ -59,7 +60,7 @@
 )
 target_link_libraries(test-csfml-graphics PRIVATE csfml-graphics Catch2::Catch2WithMain SFML::Graphics)
 set_target_warnings(test-csfml-graphics)
-catch_discover_tests(test-csfml-graphics)
+catch_discover_tests(test-csfml-graphics WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
 
 add_executable(test-csfml-network
     Network/Ftp.test.cpp

=== src/CSFML/CMakeLists.txt ===
# include the SFML specific macros
include(${PROJECT_SOURCE_DIR}/cmake/Macros.cmake)

# add the CSFML sources path
include_directories(${PROJECT_SOURCE_DIR}/src)

# set the output directory for CSFML libraries
set(LIBRARY_OUTPUT_PATH "${PROJECT_BINARY_DIR}/lib")

# define the export symbol
add_definitions(-DCSFML_EXPORTS)

# disable stupid warnings with Visual C++
if(SFML_COMPILER_MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

# add the modules subdirectories
add_subdirectory(System)

if(CSFML_BUILD_WINDOW OR CSFML_BUILD_GRAPHICS)
    add_subdirectory(Window)
endif()

if(CSFML_BUILD_NETWORK)
    add_subdirectory(Network)
endif()

if(CSFML_BUILD_GRAPHICS)
    add_subdirectory(Graphics)
endif()

if(CSFML_BUILD_AUDIO)
    add_subdirectory(Audio)
endif()

if(SFML_OS_WINDOWS)
    add_subdirectory(Main)
endif()

=== src/CSFML/Audio/CMakeLists.txt ===
set(INCROOT ${PROJECT_SOURCE_DIR}/include/CSFML/Audio)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/CSFML/Audio)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/ConvertCone.hpp
    ${INCROOT}/EffectProcessor.h
    ${SRCROOT}/Listener.cpp
    ${INCROOT}/Listener.h
    ${SRCROOT}/Music.cpp
    ${SRCROOT}/MusicStruct.hpp
    ${INCROOT}/Music.h
    ${SRCROOT}/Sound.cpp
    ${SRCROOT}/SoundStruct.hpp
    ${INCROOT}/Sound.h
    ${SRCROOT}/SoundBuffer.cpp
    ${SRCROOT}/SoundBufferStruct.hpp
    ${INCROOT}/SoundBuffer.h
    ${SRCROOT}/SoundBufferRecorder.cpp
    ${SRCROOT}/SoundBufferRecorderStruct.hpp
    ${INCROOT}/SoundBufferRecorder.h
    ${INCROOT}/SoundChannel.h
    ${SRCROOT}/SoundRecorder.cpp
    ${SRCROOT}/SoundRecorderStruct.hpp
    ${INCROOT}/SoundRecorder.h
    ${INCROOT}/SoundSourceCone.h
    ${INCROOT}/SoundStatus.h
    ${SRCROOT}/SoundStream.cpp
    ${SRCROOT}/SoundStreamStruct.hpp
    ${INCROOT}/SoundStream.h
    ${INCROOT}/Types.h
)

# define the csfml-audio target
csfml_add_library(csfml-audio
                  SOURCES ${SRC}
                  DEPENDS SFML::Audio)

=== src/CSFML/Graphics/CMakeLists.txt ===
set(INCROOT ${PROJECT_SOURCE_DIR}/include/CSFML/Graphics)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/CSFML/Graphics)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/BlendMode.cpp
    ${INCROOT}/BlendMode.h
    ${SRCROOT}/CircleShape.cpp
    ${SRCROOT}/CircleShapeStruct.hpp
    ${INCROOT}/CircleShape.h
    ${SRCROOT}/Color.cpp
    ${INCROOT}/Color.h
    ${SRCROOT}/ConvertColor.hpp
    ${SRCROOT}/ConvertRect.hpp
    ${SRCROOT}/ConvertRenderStates.hpp
    ${SRCROOT}/ConvertStencil.hpp
    ${SRCROOT}/ConvertTransform.hpp
    ${SRCROOT}/ConvexShape.cpp
    ${SRCROOT}/ConvexShapeStruct.hpp
    ${INCROOT}/ConvexShape.h
    ${INCROOT}/CoordinateType.h
    ${SRCROOT}/Font.cpp
    ${SRCROOT}/FontStruct.hpp
    ${INCROOT}/Font.h
    ${INCROOT}/FontInfo.h
    ${INCROOT}/Glyph.h
    ${SRCROOT}/Image.cpp
    ${SRCROOT}/ImageStruct.hpp
    ${INCROOT}/Image.h
    ${SRCROOT}/Rect.cpp
    ${INCROOT}/Rect.h
    ${SRCROOT}/RectangleShape.cpp
    ${SRCROOT}/RectangleShapeStruct.hpp
    ${INCROOT}/RectangleShape.h
    ${SRCROOT}/RenderStates.cpp
    ${SRCROOT}/RenderTexture.cpp
    ${SRCROOT}/RenderTextureStruct.hpp
    ${INCROOT}/RenderTexture.h
    ${SRCROOT}/RenderWindow.cpp
    ${SRCROOT}/RenderWindowStruct.hpp
    ${INCROOT}/RenderWindow.h
    ${SRCROOT}/Shader.cpp
    ${SRCROOT}/ShaderStruct.hpp
    ${INCROOT}/Shader.h
    ${SRCROOT}/Shape.cpp
    ${SRCROOT}/ShapeStruct.hpp
    ${INCROOT}/Shape.h
    ${SRCROOT}/Sprite.cpp
    ${SRCROOT}/SpriteStruct.hpp
    ${INCROOT}/Sprite.h
    ${INCROOT}/StencilMode.h
    ${SRCROOT}/StencilMode.cpp
    ${SRCROOT}/Text.cpp
    ${SRCROOT}/TextStruct.hpp
    ${INCROOT}/Text.h
    ${SRCROOT}/Texture.cpp
    ${SRCROOT}/TextureStruct.hpp
    ${INCROOT}/Texture.h
    ${SRCROOT}/Transform.cpp
    ${INCROOT}/Transform.h
    ${SRCROOT}/Transformable.cpp
    ${SRCROOT}/TransformableStruct.hpp
    ${INCROOT}/Transformable.h
    ${INCROOT}/Types.h
    ${INCROOT}/Vertex.h
    ${SRCROOT}/VertexArray.cpp
    ${SRCROOT}/VertexArrayStruct.hpp
    ${INCROOT}/VertexArray.h
    ${INCROOT}/VertexBuffer.h
    ${SRCROOT}/VertexBuffer.cpp
    ${SRCROOT}/VertexBufferStruct.hpp
    ${SRCROOT}/View.cpp
    ${SRCROOT}/ViewStruct.hpp
    ${INCROOT}/View.h
)

# define the csfml-graphics target
csfml_add_library(csfml-graphics
                  SOURCES ${SRC}
                  DEPENDS SFML::Graphics)

=== src/CSFML/Main/CMakeLists.txt ===
# define the csfml-main target
add_library(csfml-main STATIC ${PROJECT_SOURCE_DIR}/src/CSFML/Main/SFML_Main.cpp)

# set the debug suffix
set_target_properties(csfml-main PROPERTIES DEBUG_POSTFIX -d)

# insert the major version number in the output filename
set_target_properties(csfml-main PROPERTIES OUTPUT_NAME "csfml-main")

=== src/CSFML/Network/CMakeLists.txt ===
set(INCROOT ${PROJECT_SOURCE_DIR}/include/CSFML/Network)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/CSFML/Network)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Ftp.cpp
    ${SRCROOT}/FtpStruct.hpp
    ${INCROOT}/Ftp.h
    ${SRCROOT}/Http.cpp
    ${SRCROOT}/HttpStruct.hpp
    ${INCROOT}/Http.h
    ${SRCROOT}/IpAddress.cpp
    ${INCROOT}/IpAddress.h
    ${SRCROOT}/Packet.cpp
    ${SRCROOT}/PacketStruct.hpp
    ${INCROOT}/Packet.h
    ${SRCROOT}/SocketSelector.cpp
    ${SRCROOT}/SocketSelectorStruct.hpp
    ${INCROOT}/SocketSelector.h
    ${INCROOT}/SocketStatus.h
    ${SRCROOT}/TcpListener.cpp
    ${SRCROOT}/TcpListenerStruct.hpp
    ${INCROOT}/TcpListener.h
    ${SRCROOT}/TcpSocket.cpp
    ${SRCROOT}/TcpSocketStruct.hpp
    ${INCROOT}/TcpSocket.h
    ${INCROOT}/Types.h
    ${SRCROOT}/UdpSocket.cpp
    ${SRCROOT}/UdpSocketStruct.hpp
    ${INCROOT}/UdpSocket.h
)

# define the csfml-network target
csfml_add_library(csfml-network
                  SOURCES ${SRC}
                  DEPENDS SFML::Network)

=== src/CSFML/System/CMakeLists.txt ===
set(INCROOT ${PROJECT_SOURCE_DIR}/include/CSFML/System)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/CSFML/System)

# all source files
set(SRC
    ${PROJECT_SOURCE_DIR}/include/CSFML/GPUPreference.h
    ${INCROOT}/Export.h
    ${SRCROOT}/Alloc.cpp
    ${INCROOT}/Alloc.h
    ${SRCROOT}/Buffer.cpp
    ${SRCROOT}/BufferStruct.hpp
    ${INCROOT}/Buffer.h
    ${SRCROOT}/Clock.cpp
    ${SRCROOT}/ClockStruct.hpp
    ${INCROOT}/Clock.h
    ${SRCROOT}/ConvertVector2.hpp
    ${SRCROOT}/ConvertVector3.hpp
    ${INCROOT}/InputStream.h
    ${SRCROOT}/Sleep.cpp
    ${INCROOT}/Sleep.h
    ${SRCROOT}/Time.cpp
    ${INCROOT}/Time.h
    ${INCROOT}/Types.h
    ${INCROOT}/Vector2.h
    ${INCROOT}/Vector3.h
)

# define the csfml-system target
csfml_add_library(csfml-system
                  SOURCES ${SRC}
                  DEPENDS SFML::System)

=== src/CSFML/Window/CMakeLists.txt ===
set(INCROOT ${PROJECT_SOURCE_DIR}/include/CSFML/Window)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/CSFML/Window)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${INCROOT}/Clipboard.h
    ${SRCROOT}/Clipboard.cpp
    ${INCROOT}/Cursor.h
    ${SRCROOT}/Cursor.cpp
    ${SRCROOT}/CursorStruct.hpp
    ${SRCROOT}/Context.cpp
    ${SRCROOT}/ContextStruct.hpp
    ${INCROOT}/Context.h
    ${SRCROOT}/ConvertContextSettings.hpp
    ${SRCROOT}/ConvertEvent.hpp
    ${SRCROOT}/ConvertVideoMode.hpp
    ${INCROOT}/Event.h
    ${SRCROOT}/Joystick.cpp
    ${INCROOT}/Joystick.h
    ${INCROOT}/JoystickIdentification.h
    ${SRCROOT}/Keyboard.cpp
    ${INCROOT}/Keyboard.h
    ${SRCROOT}/Mouse.cpp
    ${INCROOT}/Mouse.h
    ${SRCROOT}/Sensor.cpp
    ${INCROOT}/Sensor.h
    ${SRCROOT}/Touch.cpp
    ${INCROOT}/Touch.h
    ${INCROOT}/Types.h
    ${SRCROOT}/VideoMode.cpp
    ${INCROOT}/VideoMode.h
    ${SRCROOT}/Vulkan.cpp
    ${INCROOT}/Vulkan.h
    ${SRCROOT}/Window.cpp
    ${SRCROOT}/WindowBase.cpp
    ${SRCROOT}/WindowStruct.hpp
    ${SRCROOT}/WindowBaseStruct.hpp
    ${INCROOT}/Window.h
    ${INCROOT}/WindowBase.h
    ${INCROOT}/WindowHandle.h
)

# define the csfml-window target
csfml_add_library(csfml-window
                  SOURCES ${SRC}
                  DEPENDS SFML::Window)

=== debian/changelog ===
libcsfml (3.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.

  * d/control: Bump standards version.
  * d/libcsfml-graphics3.0.symbols: Add new symbols in 3.0-rc3.

 -- James Cowgill <jcowgill@debian.org>  Fri, 12 Sep 2025 22:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libsfml-dev (>= 3.0)
 Build-Depends-Indep: doxygen
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.sfml-dev.org
 Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/libcsfml

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+# Fixes test suite failures on i386 which rely on float precision
+export DEB_CXXFLAGS_MAINT_APPEND = -fexcess-precision=standard
+endif
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: smoke-build
Depends: gcc, libc-dev, libcsfml-dev, pkg-config
Restrictions: superficial

Tests: upstream-tests
Depends: cmake, g++, libcatch2-dev, libcsfml-dev, make, pkg-config
Restrictions: allow-stderr

=== debian/watch ===
# See uscan(1) for format
version=4

# From GitHub
opts=uversionmangle=s/-rc\./~rc/,dversionmangle=auto \
  https://github.com/SFML/CSFML/tags .*/v?(\d\S*)\.tar\.gz

## libcsfml 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -66,7 +66,7 @@
 if(CSFML_BUILD_NETWORK)
     list(PREPEND SFML_MODULES "Network")
 endif()
-find_package(SFML 3.0.0 COMPONENTS ${SFML_MODULES} REQUIRED)
+find_package(SFML 3.0 COMPONENTS ${SFML_MODULES} REQUIRED)
 
 # add the subdirectories
 add_subdirectory(src/CSFML)

=== debian/changelog ===
libcsfml (3.0.0-1) unstable; urgency=medium

  * New upstream release.

  * d/copyright: Update years.
  * d/control:
    - Remove redundant Priority and R3 fields.
    - Bump standards version to 4.7.3
  * d/watch: Use uscan v5

 -- James Cowgill <jcowgill@debian.org>  Sat, 17 Jan 2026 18:06:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcsfml
 Section: libs
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  James Cowgill <jcowgill@debian.org>
@@ -10,8 +9,7 @@
  libcatch2-dev (>= 3.7),
  libsfml-dev (>= 3.0)
 Build-Depends-Indep: doxygen
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.sfml-dev.org
 Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/libcsfml

=== debian/watch ===
Version: 5
Template: GitHub
Owner: SFML
Project: CSFML
Uversion-Mangle: auto
